Upgraded Perl and now LWP does not work ?

Posted by oliasofsunhillow on 2018-09-13 05:13

A simple one line program fails on a Use LWP command

Amongst errors are Attempt to load List/Util.pm aborted

Any help appreciated

grahams
ActiveState Staff
Thu, 2018-09-13 10:31

A common reason for aborting the load of a module is version conflicts between the new version and parts of the previous version.

When upgrading to a new major version number you should always manually delete anything left behind after running the uninstaller. There will docs, and there will be all of your downloaded modules, and they all need to be refreshed for the new version.

oliasofsunhillow | Tue, 2018-09-18 05:32

Thanks I think that was the problem